Performance Logs and Alerts

Performance Logs and Alerts supports detailed monitoring of the utilization of operating system resources.

  • To find features that have been changed in the Windows Server 2003 family of operating systems, see New ways to do familiar tasks.
  • For tips about performance monitoring, see Best practices.
  • For help with specific tasks, see How to.
  • For general background information, see Concepts.
  • For problem-solving instructions, see Troubleshooting.


How to...

  • Create and configure counter logs
  • Create and configure trace logs
  • Create and configure alerts
  • Work with logs and alerts
  • Work with data
  • Work with settings


Concepts

This section provides general background information about Performance Logs and Alerts:

  • Performance Logs and Alerts overview
  • Understanding Performance Logs and Alerts
  • Using Performance Logs and Alerts
  • Resources


Understanding Performance Logs and Alerts

This section describes the design and operation of Performance Logs and Alerts:

  • Performance objects and counters
  • Performance tool architecture


Using Performance Logs and Alerts

This section covers:

  • Setting up a monitoring configuration
  • Performance Logs and Alerts interface
  • Quick reference to log file formats
  • Analyzing performance data
  • Solving performance problems
  • Monitoring performance from the command line


New ways to do familiar tasks

The following table lists common tasks for Performance Logs and Alerts (hosted in the Performance console, named Perfmon.msc) and maps where you can perform the tasks in Windows 2000 or the Windows Server 2003 family of operating systems. For existing Performance Monitor (Perfmon.exe) users, the table also shows where these tasks are performed in Windows NT Server 4.0. Many of the toolbar buttons remain the same in the three versions and can be used instead of the steps listed in this table.

If you want to | In Windows NT Server 4.0 use | In Windows 2000 or the Windows Server 2003 family use
Create a log. | Performance Monitor on the Administrative Tools menu. | Performance Logs and Alerts in the Performance console or under System Tools in Computer Management, started from Administrative Tools.
View log data. | Performance Monitor on the Administrative Tools menu. | System Monitor in the Performance console, started from Administrative Tools.
Create an alert. | Performance Monitor on the Administrative Tools menu. | Performance Logs and Alerts in the Performance console or under System Tools in Computer Management, started from Administrative Tools.